%define upstream_name    HTML-TagCloud
%define upstream_version 0.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Generate An HTML Tag Cloud
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The the HTML::TagCloud manpage module enables you to generate "tag clouds"
in HTML. Tag clouds serve as a textual way to visualize terms and topics
that are used most frequently. The tags are sorted alphabetically and a
larger font is used to indicate more frequent term usage.

Example sites with tag clouds: the http://www.43things.com/ manpage, the
http://www.astray.com/recipes/ manpage and the
http://www.flickr.com/photos/tags/ manpage.

This module provides a simple interface to generating a CSS-based HTML tag
cloud. You simply pass in a set of tags, their URL and their count. This
module outputs stylesheet-based HTML. You may use the included CSS or use
your own.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.380.0-8.mga8
+ Revision: 1494921
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.380.0-7.mga7
+ Revision: 1268502
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.380.0-6.mga6
+ Revision: 1028339
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.380.0-5.mga6
+ Revision: 944985
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.380.0-4.mga5
+ Revision: 739568
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.380.0-3.mga5
+ Revision: 684969
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.380.0-2.mga4
+ Revision: 527001
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.380.0-1.mga4
+ Revision: 439379
- update to 0.38

* Sun Jan 13 2013 umeabot <umeabot> 0.370.0-2.mga3
+ Revision: 368145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.370.0-1.mga2
+ Revision: 111422
- update to 0.37

* Sat Feb 26 2011 jquelin <jquelin> 0.360.0-1.mga1
+ Revision: 60226
- update to 0.36

* Tue Jan 18 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 22485
- cleaning spec file
- imported package perl-HTML-TagCloud

